---
source_url: https://www.pubnub.com/docs/sdks/rest-api/announce-leave
title: Announce leave
---

# Announce leave

> For AI agents: documentation index at https://www.pubnub.com/llms-full.txt

Indicate to Presence that a device has left a channel/channels.

| Path Parameters |
| --- |
| `sub_key`string—**REQUIRED**Your app's subscribe key from Admin Portal.Example: sub-c-50264475-1902-558x-d213-7p19052012n2 |
| `channel`string—**REQUIRED**The channel ID to perform the operation on. In the context of Presence, this parameter relates to a channel for which the new state will be applied or the existing state will be returned. Verify that channels are comprised of valid characters. You can use a single channel or multiple channels separated by a comma.Example: myChannel |

| Query Parameters |
| --- |
| `channel-group`stringComma-separated list of channel group names to perform the operation on. In the context of Presence, this parameter relates to channel group name(s) to which you subscribe. You may subscribe to channels, channels and channel groups, or just channel groups.Note: Wildcard patterns (e.g., group.*) are not supported for channel groups. Use exact channel group names only.Example: myChannelGroup |
| `auth`stringString which is either the auth key (Access Manager legacy) or a valid token (Access Manager) used to authorize the operation if access control is enabled.Example: myAuthKey |
| `callback`stringThe JSONP callback name to wrap the function in.Example: myCallback |
| `uuid`string—**REQUIRED**A UTF-8 encoded string of up to 92 characters used to identify the client.Example: myUniqueUserId |
| `signature`stringSignature used to verify that the request was signed with the secret key associated with the subscribe key.If Access Manager is enabled, either a valid authorization token or a signature are required. Check Access Manager documentation for details on how to compute the signature. |
| `timestamp`integerUnix epoch timestamp used as a nonce for signature computation. Must have no more than ± 60 seconds offset from NTP. Required if signature parameter is supplied. |

| Responses |
| --- |
| `200`OKSchema — OPTIONALstatus integer — OPTIONALmessage string — OPTIONALaction string — OPTIONALservice string — OPTIONAL | Schema—**OPTIONAL** | `status`integer—**OPTIONAL** | `message`string—**OPTIONAL** | `action`string—**OPTIONAL** | `service`string—**OPTIONAL** |
| Schema—**OPTIONAL** |
| `status`integer—**OPTIONAL** |
| `message`string—**OPTIONAL** |
| `action`string—**OPTIONAL** |
| `service`string—**OPTIONAL** |

sub_key
*
Type:
string
Your app's subscribe key from
[Admin Portal](https://admin.pubnub.com)
.
channel
*
Type:
string
The channel ID to perform the operation on.

In the context of Presence, this parameter relates to a channel for which the new state will be applied or the existing state will be returned.  Verify that channels are comprised of valid characters. You can use a single channel or multiple channels separated by a comma.
channel-group
Type:
string
Comma-separated list of channel group names to perform the operation on.

In the context of Presence, this parameter relates to channel group name(s) to which you subscribe. You may subscribe to channels, channels and channel groups, or just channel groups.

Note:
Wildcard patterns (e.g.,
group.*
) are not supported for channel groups. Use exact channel group names only.
auth
Type:
string
String which is either the auth key (Access Manager legacy) or a valid token (
[Access Manager](https://www.pubnub.com/docs/security/access-control/overview.md)
) used to authorize the operation if access control is enabled.
callback
Type:
string
The JSONP callback name to wrap the function in.
uuid
*
Type:
string
A UTF-8 encoded string of up to 92 characters used to
[identify the client](https://www.pubnub.com/docs/architecture/core-concepts.md)
.
signature
Type:
string
Signature used to verify that the request was signed with the secret key associated with the subscribe key.

If Access Manager is enabled, either a valid authorization token or a signature are required.

Check
[Access Manager documentation](https://www.pubnub.com/docs/sdks/rest-api/access-manager-introduction.md)
for details on how to compute the signature.
timestamp
Type:
integer
Unix epoch timestamp used as a nonce for signature computation. Must have no more than ± 60 seconds offset from NTP.

Required if
signature
parameter is supplied.
status
Type:
integer
Example:
200
message
Type:
string
Example:
"OK"
action
Type:
string
Example:
"leave"
service
Type:
string
Example:
"Presence"
Example Response

```
{
  "status": 200,
  "message": "OK",
  "action": "leave",
  "service": "Presence"
}
```
